Bug 443143 - can't install multiple arches of a package from gui
can't install multiple arches of a package from gui
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
: 451915 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 16:12 EDT by Thomas J. Baker
Modified: 2008-10-14 08:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 08:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
typescript of gpk-application install of nspluginwrapper.i386 (14.09 KB, text/plain)
2008-04-20 21:23 EDT, Thomas J. Baker
no flags Details
Log of failed package installation (39.49 KB, text/plain)
2008-06-08 05:38 EDT, Tim Niemueller
no flags Details

  None (edit)
Description Thomas J. Baker 2008-04-18 16:12:03 EDT
Using the app installer, after installing nspluginwrapper.x86_64, I can't
install the i386 version. When trying to install it, GPK says it's already
installed. 

raptor> rpm -qa | grep -i packagekit
PackageKit-0.1.12-4.20080416git.fc9.x86_64
yum-packagekit-0.1.12-4.20080416git.fc9.x86_64
gnome-packagekit-0.1.12-5.20080416git.fc9.x86_64
PackageKit-libs-0.1.12-4.20080416git.fc9.x86_64
raptor>
Comment 1 Richard Hughes 2008-04-20 14:28:28 EDT
Can you please attach the output from:

gpk-application --verbose
<then try to instal the _64 package>

Thanks.
Comment 2 Thomas J. Baker 2008-04-20 18:38:04 EDT
Could you be more specific? Remove both versions of nspluginwrapper and then
verbosely install the the _64? (My original problem was _64 installed, can't
install i386 version.) Thanks.
Comment 3 Richard Hughes 2008-04-20 20:28:04 EDT
Well, try to reproduce the error you describe, so uninstall the i386 and then
try to install it with packagekit. I've not got a 64 bit system, so can't try here.
Comment 4 Thomas J. Baker 2008-04-20 21:23:16 EDT
Created attachment 303081 [details]
typescript of gpk-application install of nspluginwrapper.i386

When I created the log, it did colorized logging so there's a lot of garbage in
there but I think you can probably find what you're looking for.
Comment 5 Bug Zapper 2008-05-14 05:40:36 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Brennan Ashton 2008-06-07 21:33:39 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 Tim Niemueller 2008-06-08 05:38:03 EDT
Created attachment 308643 [details]
Log of failed package installation

I think this is the very same problem, tried for the vorbis package on a x86_64
installation.

To produce the log the following was done:
- start app
- search for "vorbis" (x86_64 version of libvorbis already installed, i386 is
*not*)
- try to install libvorbis.i386
- See failure message that package is already installed

Hope that helps.
Comment 8 Thomas J. Baker 2008-06-08 08:10:12 EDT
#6, did you not read #4? It was done a month and a half ago.
Comment 9 Tim Niemueller 2008-06-09 04:23:49 EDT
To make it obious that the questions has been answered, hasn't it?
Comment 10 Tim Niemueller 2008-06-09 04:26:37 EDT
Sorry, was too fast, thought it was still NEEDINFO. Can't reset it to NEW? But
according to the new bug process ASSIGNED is probably right anyway, has it has
been re-defined to be some sort of "problem understood" from "someone is working
on it"...
Comment 11 Robin Norwood 2008-06-09 12:57:09 EDT
ASSIGNED is good enough, I think
Comment 12 Alex W. Jackson 2008-07-15 10:33:07 EDT
*** Bug 451915 has been marked as a duplicate of this bug. ***
Comment 13 Richard Hughes 2008-10-14 08:59:55 EDT
Should be fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.